#ifndef EnergyLoad_Calc_H
#define EnergyLoad_Calc_H
/*
* HydroPlus is source code and models developed and managed by Theodore Endreny and his students at SUNY ESF, te@esf.edu
* The US Forest Service and Davey Tree have provided strategic software development support through funding and personnel
* Attribution for use of software and code is requested. Please see Executive.cpp for documentation.
*/
#include <iostream>
#include <fstream>
#include <vector>
//_USE_MATH_DEFINES gives access to Pi as M_PI, and must precede #include <cmath> or <math.h>
#define _USE_MATH_DEFINES
#include <cmath>
#include <math.h>
#include <stdio.h>
#include <string>
#include <thread>
#include <chrono>
#include "CreateFile_EPW.h"
#include "CreateFile_IDF.h"
#include "..\Inputs\Inputs.h"
#include "..\DataFolder.h"
#include "..\Inputs\WeatherPreprocessor.h"

#define Ratio_1000Pa_to_1kPa 1000
#define Ratio_100cm_to_1m 100
#define Ratio_1000mm_to_1m 1000

class EnergyLoad_Calc
{
public:
	//EnergyLoad function calculates each folder at each timestep
	static void EnergyLoad(Inputs* input);
	static void pause_for_seconds(int seconds);
};

#endif