#ifndef TREE_H
#define TREE_H
/*
* HydroPlus is source code and models developed and managed by Theodore Endreny and his students at SUNY ESF, te@esf.edu
* The US Forest Service and Davey Tree have provided strategic software development support through funding and personnel
* Attribution for use of software and code is requested. Please see Executive.cpp for documentation.
* Author: Sanyam Chaudhary with ideas from Help_Node code provided by Professor Jim Fawcett
*/
#include <unordered_map>
#include "Node.h"
#include <map>

class Tree{
private:
	Node * root;
	std::vector<Node *> nodes;
	vector<Node *> Elements;
	Node * NodeWithId;
public:
	void WalkTree(Node *);
	void WalkTree(Node *, std::unordered_map<std::string, std::string>&);
	void WalkTree(Node *, std::unordered_map<std::string, double>&);
	void WalkTree(Node *, std::unordered_map<std::string, double>&, std::unordered_map<std::string, std::string>&);
	void WalkTree(Node * pParent, std::vector<std::vector<std::unordered_map<std::string, double> > > &vofomaps, std::vector<std::vector<std::unordered_map<std::string, std::string> > > &vofomapstring);
	void ClearNodes();
	Node * GetRoot();
	void Remove(Node*);
	void DisplayTree(Node *);
	void ClearMarks();
	void setRoot(Node *);
	vector<Node *> GetElementByTagName(string );
	void RemoveElement(string );
	void RemoveChild(Node * pChild);
	Node * GetElementById(string value);
	void AddChild(string TagName, Node *parent);
};

#endif
