ptf #
<HydroPlusConfig>
 <SimulationStringParams>
    <OutputFolder_Path>C:\iTree\HydroPlus\TestingFilesAndScript\TestCases\Calibration\Hydro_WaterTable_2Obs\output\</OutputFolder_Path><!-- Output folder path ending with \-->
    <Model_Selection>StatisticalHydro</Model_Selection><!--Options: StatisticalHydro|SpatialTemperatureHydro|LCScalingTempSpatial|CoolRiver|ECDynamic-->
    <Algorithm_SoilKsatDecay>ExponentialDecay</Algorithm_SoilKsatDecay><!--Options: ExponentialDecay |  PowerDecay-->
    <Algorithm_FlowDirection>DInfinity</Algorithm_FlowDirection><!--Options: DInfinity |  MFD |  D8; Describes DEM flow routing method-->
    <Flag_ExtendedOutputs>1</Flag_ExtendedOutputs><!-- Options: 0=None 1=Time series written-->
    <Flag_Recompute_TopographicIndex>1</Flag_Recompute_TopographicIndex><!--Options: 0 or 1; 0=Use existing TI data 1=Recompute TI data-->
    <Flag_TI_PerviousOnly>0</Flag_TI_PerviousOnly><!--Options: 0 or 1; 0=TI from entire area 1=TI from pervious area as TopUrban by Valeo-->
	<Flag_ReadEvaporationData>0</Flag_ReadEvaporationData><!--Options: 0=Evaporation calculated in model; 1=Evaporation.csv provided-->
    <Flag_DEM_RemovePitsFlats>1</Flag_DEM_RemovePitsFlats><!--Options:0 or 1; 0=DEM unchanged; 1=DEM pits and flats removed-->
    <Flag_CoolAir_AnthropogenicHeat>0</Flag_CoolAir_AnthropogenicHeat><!--Options: 0 or 1; 0=No AH4GUC Map Inputs 1=AH4GUC Map Inputs-->
	<Flag_CoolAir_ImperviousCoverAdjust>1</Flag_CoolAir_ImperviousCoverAdjust><!--Options: Scenarios 0-3; 0=none;1=base TCI created;2=alt TC increased;3=alt TCI created and TC increased-->
	<Scenario_CoolAir_Base_TCI_to_TC_frac>0.0</Scenario_CoolAir_Base_TCI_to_TC_frac><!--Options: Base case TreeCanopyCover_overImpervious_frac to compare with alternative-->
	<Scenario_CoolAir_Alternative_TC_frac>0.0</Scenario_CoolAir_Alternative_TC_frac><!--Options: Alternative case tree cover minimum fractional value for urban NLCD classes-->
	<Flag_HottestDaySimulated>0</Flag_HottestDaySimulated><!--Options: 1 | 0; 1= simulate day with hottest hour; 0= simulate StartDay to EndDay-->
	<Flag_MultipleStation>0</Flag_MultipleStation><!--Options: 0=one station; 1=multiple stations and WeatherStationAttributeTable.csv-->
    <WeatherStationAttributeFile>C:\iTree\a_prep_Weather\z_WeatherStations_it\WeatherStationAttributeTable_it_2002_2004.csv</WeatherStationAttributeFile> <!-- Path and file with weather station attribute data required when Flag_MultipleStation is 1-->
    <Flag_CompareToObservedRunoff>0</Flag_CompareToObservedRunoff><!--Options: 0=Not compared; 1=Compared if output provided-->
    <TimeStep_CompareToObservedRunoff_str>Hour</TimeStep_CompareToObservedRunoff_str><!--Options: Hour | Day | Week | Month-->
    <ReferenceParameters_DrawerID_FolderID>0,0</ReferenceParameters_DrawerID_FolderID><!--Options: >=0; ID of DataDrawer & DataFolder w/ Reference parameters-->
 </SimulationStringParams>
 <SimulationNumericalParams>
    <StartDate_YYYYMMDD>20021001</StartDate_YYYYMMDD><!--Options: YYYYMMDD or YYYYMMDDHH; Must agree with meteorological input files-->
    <StopDate_YYYYMMDD>20021002</StopDate_YYYYMMDD><!--Options: YYYYMMDD or YYYYMMDDHH; Stop date is included in TotalTimeSteps-->
    <CatchmentArea_m2>140841000</CatchmentArea_m2><!--Options: > 0; total simulated area within DEM.asc, excluding -9999; units m^2-->
    <TopographicIndexBins>30</TopographicIndexBins><!-- Options: 1 to 30; bins for topographic index-->
    <TotalTimeSteps> </TotalTimeSteps><!-- Options: empty or > 0; Use > 0 to redefine TotalTimeSteps; units h-->
    <TimeStep_sec>3600</TimeStep_sec><!-- Options: 0 or higher; time step between rows of meteorological inputs; units s-->
	<WeatherStationNum> </WeatherStationNum><!--Options: Used only with Flag_MultipleStation=1 to define number of stations influencing pixel; unitless-->
	<Power_InverseDistance> </Power_InverseDistance><!--Options: Used only with Flag_MultipleStation=1 for inverse distance weighting; unitless-->
 </SimulationNumericalParams>
 <DataOrganizer>
  <DataDrawer>
   <DataFolder>
	<Type>BulkArea</Type><!-- Options: BulkArea; BulkArea required for 1st DataFolder in DataDrawer-->
    <Area_m2>140841000</Area_m2><!--Options: Hydro = CatchmentArea_m2 - all other Area; CoolAir = cellsize^2; units m^2-->
    <TreeCanopyCover_overPervious_frac>0.129</TreeCanopyCover_overPervious_frac><!-- Options: >= 0; tree canopy over pervious; units fraction-->
    <TreeCanopyCover_overImpervious_frac>0.019</TreeCanopyCover_overImpervious_frac><!--Options: >= 0; tree canopy over impervious; in CoolAir model limited to NLCD Class=21 TC; units fraction-->
    <ShortVegCover_noTreeCanopy_frac>0.437</ShortVegCover_noTreeCanopy_frac><!-- Options: >= 0; short vegetation no tree canopy; units fraction-->
    <SoilCover_noTreeCanopy_frac>0.161</SoilCover_noTreeCanopy_frac><!-- Options: >= 0; soil no tree canopy; units fraction-->
    <WaterCover_noTreeCanopy_frac>0.005</WaterCover_noTreeCanopy_frac><!-- Options: >= 0; water no tree canopy; units fraction-->
    <ImperviousCover_noTreeCanopy_frac>0.249</ImperviousCover_noTreeCanopy_frac><!-- Options: >= 0; impervious no tree canopy; units fraction-->
    <DirectlyConnectedImperviousArea_frac>0.518</DirectlyConnectedImperviousArea_frac><!-- Options: 0 to 1; directly connected impervious area fraction-->
    <PerviousDepressionStorage_TreeCover_mm>5.0</PerviousDepressionStorage_TreeCover_mm><!--Options: >=0; average ponding depth; units mm-->
    <PerviousDepressionStorage_SVegCover_mm>2.5</PerviousDepressionStorage_SVegCover_mm><!--Options: >=0; average ponding depth; units mm-->
    <PerviousDepressionStorage_SoilCover_mm>1.5</PerviousDepressionStorage_SoilCover_mm><!--Options: >=0; average ponding depth; units mm-->
    <ImperviousDepressionStorage_noTreeCover_mm>1.5</ImperviousDepressionStorage_noTreeCover_mm><!--Options: >=0; average ponding depth; units mm-->
    <ImperviousDepressionStorage_TreeCover_mm>2.5</ImperviousDepressionStorage_TreeCover_mm><!--Options: >=0; average ponding depth; units mm-->
    <WaterDepressionStorage_mm>0.0</WaterDepressionStorage_mm><!-- Options: >=0; average storage depth; units mm-->
    <Soil_Macropore_TreeCover_frac>0.1</Soil_Macropore_TreeCover_frac><!--Options: 0 to 1; determines fraction of infiltration bypassing rootzone-->
    <Soil_Macropore_SVegCover_frac>0.05</Soil_Macropore_SVegCover_frac><!--Options: 0 to 1; determines fraction of infiltration bypassing rootzone-->
    <Soil_Macropore_SoilCover_frac>0.01</Soil_Macropore_SoilCover_frac><!--Options: 0 to 1; determines fraction of infiltration bypassing rootzone-->
    <Soil_WiltingPoint_m3pm3>0.14</Soil_WiltingPoint_m3pm3><!-- Options: 0 to 1; soil wilting point; units m3/m3-->
    <Soil_FieldCapacity_m3pm3>0.24</Soil_FieldCapacity_m3pm3><!--  Options: 0 to 1; soil field capacity; units m3/m3-->
    <Soil_SaturationPoint_m3pm3>0.4</Soil_SaturationPoint_m3pm3><!-- Options: 0 to 1; soil saturation point; units m3/m3-->
    <Soil_Porosity_m3pm3>0.4</Soil_Porosity_m3pm3><!-- Options: 0 to 1; soil porosity; units m3/m3-->
    <Soil_MoistureInitial_m3pm3>0.24</Soil_MoistureInitial_m3pm3><!-- Options: 0 to 1; initial moisture point; units m3/m3-->
    <InfiltExcessGovernedArea_frac>1.0</InfiltExcessGovernedArea_frac><!-- Options: 0 to 1; area with Green-Ampt infiltration; units fraction-->
    <Soil_Ksat_mph>0.003</Soil_Ksat_mph><!-- Defines soil hydraulic conductivity at saturation; units m/h-->
    <Soil_WettingFront_Suction_m>0.66</Soil_WettingFront_Suction_m><!-- Options: > 0; soil wetting front suction for Green-Ampt infiltration; units m-->
    <EvapotranspirationDepth_TreeCover_m>1.0</EvapotranspirationDepth_TreeCover_m><!--Options: >=0; depth accessible to evapotranspiration demand; units m-->
    <EvapotranspirationDepth_SVegCover_m>0.5</EvapotranspirationDepth_SVegCover_m><!--Options: >=0; depth accessible to evapotranspiration demand; units m-->
    <EvapotranspirationDepth_SoilCover_m>0.2</EvapotranspirationDepth_SoilCover_m><!--Options: >=0; depth accessible to evapotranspiration demand; units m-->
    <VadoseZone_Drainage_Delay_h>10</VadoseZone_Drainage_Delay_h><!-- Options: >0; time delay in draining unsaturated zone; units h-->
    <Discharge_Subsurface_Initial_mph>#Discharge_S0#</Discharge_Subsurface_Initial_mph><!-- Options: > 0; initial stream discharge and soil moisture deficit; units m/h-->
    <VadoseZone_Transmissivity_Max_m2ph>#VadoseZone_1#</VadoseZone_Transmissivity_Max_m2ph><!-- Defines soil transmissivity when entire soil depth is saturated; units m^2/h-->
    <Parameter_m_KsatExpDecay>#Parameter_m2#</Parameter_m_KsatExpDecay><!--Options: >0; Scale parameter for decay of hydraulic conductivity with depth; unitless-->
    <Parameter_n_KsatPowerDecay>2</Parameter_n_KsatPowerDecay><!--Options: 1 or 2; Power for decay of hydraulic conductivity with depth; unitless-->
    <Routing_PerviousArea_Alpha_h>40.0</Routing_PerviousArea_Alpha_h><!-- Options: > 0; time constant a for pervious area flow; units h-->
    <Routing_PerviousArea_Beta_h>40.0</Routing_PerviousArea_Beta_h><!-- Options: > 0; time constant b for pervious area flow; units h-->
    <Routing_ImperviousArea_Alpha_h>40.0</Routing_ImperviousArea_Alpha_h><!-- Options: > 0; time constant a for impervious area flow; units h-->
    <Routing_ImperviousArea_Beta_h>40.0</Routing_ImperviousArea_Beta_h><!-- Options: > 0; time constant b for impervious area flow; units h-->
    <Routing_Subsurface_Beta_h>120.0</Routing_Subsurface_Beta_h><!-- Options: > 0; time constant for subsurface flow; units h-->
    <LeafAreaIndex_Tree_m2pm2>5</LeafAreaIndex_Tree_m2pm2><!-- Options: 0 or higher; Leaf area index, LAI, for canopy area w/ units m^2/m^2-->
    <LeafAreaIndex_SVeg_m2pm2>2.2</LeafAreaIndex_SVeg_m2pm2><!-- Options: 0 or higher; Leaf area index, LAI, for veg area w/ units m^2/m^2-->
    <LeafOnDate_JDay>90</LeafOnDate_JDay><!-- Option: 1 to maximum Julian Day in Year; day when tree reaches maximum LAI-->
    <LeafOffDate_JDay>300</LeafOffDate_JDay><!-- Option: value > LeafOnDay; day when deciduous leaf has LAI = 0-->
    <LeafTransition_Day>28</LeafTransition_Day><!-- Option: 0 or higher; days prior to LeafOnDay when LAI transitions min to max-->
    <TreeCover_Evergreen_frac>0.01</TreeCover_Evergreen_frac><!-- Options: 0 to 1; Portion of tree cover that is evergreen-->
    <BarkAreaIndex_Tree_m2pm2>1.7</BarkAreaIndex_Tree_m2pm2><!-- Options: 0 or higher; Bark area index, BAI, for canopy area w/ units m^2/m^2-->
    <SVegCover_Evergreen_frac>0.1</SVegCover_Evergreen_frac><!-- Options: 0 to 1; Portion of veg cover that is evergreen-->
    <BarkAreaIndex_SVeg_m2pm2>0.5</BarkAreaIndex_SVeg_m2pm2><!-- Options: 0 or higher; Bark area index, BAI, for canopy area w/ units m^2/m^2-->
    <LeafAreaStorage_Tree_mm>0.2</LeafAreaStorage_Tree_mm><!--Options: >=0; liquid storage depth maximum-->
    <BarkAreaStorage_Tree_mm>0.2</BarkAreaStorage_Tree_mm><!--Options: >=0; liquid storage depth maximum-->
    <LeafAreaStorage_SVeg_mm>0.2</LeafAreaStorage_SVeg_mm><!--Options: >=0; liquid storage depth maximum-->
    <BarkAreaStorage_SVeg_mm>0.2</BarkAreaStorage_SVeg_mm><!--Options: >=0; liquid storage depth maximum-->
    <Height_Avg_TreeCover_m>12</Height_Avg_TreeCover_m><!-- Options: > 0; roughness height for evaporation resistance; units m-->
    <Height_Avg_SVegCover_m>0.05</Height_Avg_SVegCover_m><!-- Options: > 0; roughness height for evaporation resistance; units m-->
    <Height_Sensor_Wind_m>10.0</Height_Sensor_Wind_m><!-- Options: > 0; height at which wind speed measured; units m-->
   </DataFolder>
  </DataDrawer>
 </DataOrganizer>
 <SimulationLocationParams>
    <nCols>545</nCols><!-- Defines number of columns in input map files; Use value from map header-->
    <nRows>504</nRows><!-- Defines number of rows in input map files; Use value from map header-->
    <xllcorner>4418907</xllcorner><!-- Defines x lower left corner value in input map files; Use value from map header-->
    <yllcorner>2368702</yllcorner><!-- Defines y lower left corner value in input map files; Use value from map header-->
    <cellsize>30</cellsize><!-- Defines cell size value in input map files; Use value from map header-->
    <NODATA>-9999</NODATA><!-- Defines no data value in input map files; Use value from map header-->
 </SimulationLocationParams>
 <TemperatureCalculationParams>
	<Flag_AdiabaticLapseRate>1</Flag_AdiabaticLapseRate><!--Options: 0 or 1; 1 = simulate temperature variation with elevation-->
    <Flag_UrbanCanyonResistance>0</Flag_UrbanCanyonResistance><!--Options: 0 or 1; 1 = limit range of heating to cooling w canyon resistance-->
    <IterationCount>40</IterationCount><!-- Options: > 0; iterations attempted by numerical solver for energy balance-->
    <Height_Avg_Urban21_m>1</Height_Avg_Urban21_m><!-- Options: > 0; roughness height and canyon height in width ratio; units m-->
    <Width_Road_Urban21_m>100</Width_Road_Urban21_m><!-- Options: > 0; urban canyon for height to width ratio; units m-->
    <Albedo_Urban21_frac>0.14</Albedo_Urban21_frac><!-- Options: 0 to 1; fraction of shortwave radiation reflected-->
    <Emissivity_Urban21_frac>0.95</Emissivity_Urban21_frac><!-- Options: 0 to 1; fraction of longwave radiation transmitted-->
    <a1_OHM_Urban21_frac>0.656</a1_OHM_Urban21_frac><!--Options: 0 to 1; sets magnitude of heat flux storage to net radiation NR; units frac-->
    <a2_OHM_Urban21_hr>0.304</a2_OHM_Urban21_hr><!--Options: 0 to 1; sets phase of heat flux storage 0=in phase; units hr-->
    <a3_OHM_Urban21_W_p_m2>-41.6</a3_OHM_Urban21_W_p_m2><!--Options: 0 to -100; sets value of heat flux storage when NR=0; units W/m2-->
    <Area_Roof_Urban21_frac>0.1</Area_Roof_Urban21_frac><!-- Options: 0 to 1; fraction of grid cell with buildings-->
    <Height_Avg_Urban22_m>5</Height_Avg_Urban22_m><!-- Options: > 0; roughness height and canyon height in width ratio; units m-->
    <Width_Road_Urban22_m>10</Width_Road_Urban22_m><!-- Options: > 0; urban canyon for height to width ratio; units m-->
    <Albedo_Urban22_frac>0.13</Albedo_Urban22_frac><!-- Options: 0 to 1; fraction of shortwave radiation reflected-->
    <Emissivity_Urban22_frac>0.95</Emissivity_Urban22_frac><!-- Options: 0 to 1; fraction of longwave radiation transmitted-->
    <a1_OHM_Urban22_frac>0.636</a1_OHM_Urban22_frac><!--Options: 0 to 1; sets magnitude of heat flux storage to net radiation NR; units frac-->
    <a2_OHM_Urban22_hr>0.307</a2_OHM_Urban22_hr><!--Options: 0 to 1; sets phase of heat flux storage 0=in phase; units hr-->
    <a3_OHM_Urban22_W_p_m2>-40.7</a3_OHM_Urban22_W_p_m2><!--Options: 0 to -100; sets value of heat flux storage when NR=0; units W/m2-->
    <Area_Roof_Urban22_frac>0.20</Area_Roof_Urban22_frac><!-- Options: 0 to 1; fraction of grid cell with buildings-->
    <Height_Avg_Urban23_m>10</Height_Avg_Urban23_m><!-- Options: > 0; roughness height and canyon height in width ratio; units m-->
    <Width_Road_Urban23_m>12.5</Width_Road_Urban23_m><!-- Options: 0 to 1; fraction of grid cell with buildings-->
    <Albedo_Urban23_frac>0.12</Albedo_Urban23_frac><!-- Options: 0 to 1; fraction of shortwave radiation reflected-->
    <Emissivity_Urban23_frac>0.95</Emissivity_Urban23_frac><!-- Options: 0 to 1; fraction of longwave radiation transmitted-->
    <a1_OHM_Urban23_frac>0.596</a1_OHM_Urban23_frac><!--Options: 0 to 1; sets magnitude of heat flux storage to net radiation NR; units frac-->
    <a2_OHM_Urban23_hr>0.315</a2_OHM_Urban23_hr><!--Options: 0 to 1; sets phase of heat flux storage 0=in phase; units hr-->
    <a3_OHM_Urban23_W_p_m2>-39.0</a3_OHM_Urban23_W_p_m2><!--Options: 0 to -100; sets value of heat flux storage when NR=0; units W/m2-->
    <Area_Roof_Urban23_frac>0.40</Area_Roof_Urban23_frac><!-- Options: 0 to 1; fraction of grid cell with buildings-->
    <Height_Avg_Urban24_m>15</Height_Avg_Urban24_m><!-- Options: > 0; roughness height and canyon height in width ratio; units m-->
    <Width_Road_Urban24_m>12.5</Width_Road_Urban24_m><!-- Options: > 0; urban canyon for height to width ratio; units m-->
    <Albedo_Urban24_frac>0.1</Albedo_Urban24_frac><!-- Options: 0 to 1; fraction of shortwave radiation reflected-->
    <Emissivity_Urban24_frac>0.95</Emissivity_Urban24_frac><!-- Options: 0 to 1; fraction of longwave radiation transmitted-->
    <a1_OHM_Urban24_frac>0.557</a1_OHM_Urban24_frac><!--Options: 0 to 1; sets magnitude of heat flux storage to net radiation NR; units frac-->
    <a2_OHM_Urban24_hr>0.322</a2_OHM_Urban24_hr><!--Options: 0 to 1; sets phase of heat flux storage 0=in phase; units hr-->
    <a3_OHM_Urban24_W_p_m2>-37.3</a3_OHM_Urban24_W_p_m2><!--Options: 0 to -100; sets value of heat flux storage when NR=0; units W/m2-->
    <Area_Roof_Urban24_frac>0.60</Area_Roof_Urban24_frac><!-- Options: 0 to 1; fraction of grid cell with buildings-->
    <Albedo_Tree_frac>0.15</Albedo_Tree_frac><!-- Options: 0 to 1; fraction of shortwave radiation reflected-->
    <Emissivity_Tree_frac>0.97</Emissivity_Tree_frac><!-- Options: 0 to 1; fraction of longwave radiation transmitted-->
    <Width_Leaf_Tree_m>0.05</Width_Leaf_Tree_m><!-- Options: > 0; width used in evaporation resistance; units m-->
    <Resistance_Tree_Min_spm>150</Resistance_Tree_Min_spm><!-- Options: > 0; lowest resistance for transpiration; units s/m-->
    <a1_OHM_Tree_frac>0.215</a1_OHM_Tree_frac><!--Options: 0 to 1; sets magnitude of heat flux storage to net radiation NR; units frac-->
    <a2_OHM_Tree_hr>0.325</a2_OHM_Tree_hr><!--Options: 0 to 1; sets phase of heat flux storage 0=in phase; units hr-->
    <a3_OHM_Tree_W_p_m2>-19.9</a3_OHM_Tree_W_p_m2><!--Options: 0 to -100; sets value of heat flux storage when NR=0; units W/m2-->
    <Albedo_SVeg_frac>0.21</Albedo_SVeg_frac><!-- Options: 0 to 1; fraction of shortwave radiation reflected-->
    <Emissivity_SVeg_frac>0.97</Emissivity_SVeg_frac><!-- Options: 0 to 1; fraction of longwave radiation transmitted-->
    <Width_Leaf_SVeg_m>0.02</Width_Leaf_SVeg_m><!-- Options: > 0; width used in evaporation resistance; units m-->
    <Resistance_SVeg_Min_spm>150</Resistance_SVeg_Min_spm><!-- Options: > 0; lowest resistance for transpiration; units s/m-->
    <a1_OHM_SVeg_frac>0.215</a1_OHM_SVeg_frac><!--Options: 0 to 1; sets magnitude of heat flux storage to net radiation NR; units frac-->
    <a2_OHM_SVeg_hr>0.325</a2_OHM_SVeg_hr><!--Options: 0 to 1; sets phase of heat flux storage 0=in phase; units hr-->
    <a3_OHM_SVeg_W_p_m2>-19.9</a3_OHM_SVeg_W_p_m2><!--Options: 0 to -100; sets value of heat flux storage when NR=0; units W/m2-->
    <Height_Avg_SoilCover_m>0.01</Height_Avg_SoilCover_m><!-- Options: > 0; roughness height for evaporation resistance; units m-->
    <Albedo_Soil_frac>0.14</Albedo_Soil_frac><!-- Options: 0 to 1; fraction of shortwave radiation reflected-->
    <Emissivity_Soil_frac>0.95</Emissivity_Soil_frac><!-- Options: 0 to 1; fraction of longwave radiation transmitted-->
    <a1_OHM_Soil_frac>0.355</a1_OHM_Soil_frac><!--Options: 0 to 1; sets magnitude of heat flux storage to net radiation NR; units frac-->
    <a2_OHM_Soil_hr>0.335</a2_OHM_Soil_hr><!--Options: 0 to 1; sets phase of heat flux storage 0=in phase; units hr-->
    <a3_OHM_Soil_W_p_m2>-35.3</a3_OHM_Soil_W_p_m2><!--Options: 0 to -100; sets value of heat flux storage when NR=0; units W/m2-->
    <Height_Avg_WaterCover_m>0.001</Height_Avg_WaterCover_m><!-- Options: > 0; roughness height for evaporation resistance; units m-->
    <Albedo_Water_frac>0.13</Albedo_Water_frac><!-- Options: 0 to 1; fraction of shortwave radiation reflected-->
    <Emissivity_Water_frac>0.9</Emissivity_Water_frac><!-- Options: 0 to 1; fraction of longwave radiation transmitted-->
    <a1_OHM_Water_frac>0.05</a1_OHM_Water_frac><!--Options: 0 to 1; sets magnitude of heat flux storage to net radiation NR; units frac-->
    <a2_OHM_Water_hr>0.05</a2_OHM_Water_hr><!--Options: 0 to 1; sets phase of heat flux storage 0=in phase; units hr-->
    <a3_OHM_Water_W_p_m2>-5.0</a3_OHM_Water_W_p_m2><!--Options: 0 to -100; sets value of heat flux storage when NR=0; units W/m2-->
    <SVeg_in_Gap_DevelopedArea_frac>0.5</SVeg_in_Gap_DevelopedArea_frac><!--Options: 0 to 1; SVeg if TC+IC leave a gap else Soil; units frac-->
 </TemperatureCalculationParams>
 <TemperatureExecutionParams>
    <RefWeatherLocationRowCol>0,0</RefWeatherLocationRowCol><!-- Options: row column pair as csv; Defines Reference weather station; 0 = first-->
    <RefWeatherLocationElevation_m>37.5</RefWeatherLocationElevation_m><!--Options: "DEM" or value not 0; DEM uses DEM.asc value; units m-->
    <RefWeatherLocationSlope_deg>0.001</RefWeatherLocationSlope_deg><!--Options: "DEM" or value >= 0.001; DEM uses DEM.asc value; units deg-->
    <RefWeatherLocationAspect_deg>360</RefWeatherLocationAspect_deg><!--Options: "DEM" or value 1 to 360; DEM uses DEM.asc value; units deg-->
    <RefWeatherLocationTopographicIndex>Avg</RefWeatherLocationTopographicIndex><!--Options: "DEM" or "Avg"; Avg uses TI_avg | DEM uses DEM.asc value; unitless-->
    <RefWeatherLocationNLCD_Class>21</RefWeatherLocationNLCD_Class><!--Options: >=0; NLCD Class describes land cover type; unitless-->
    <RefWeatherLocationTreeCover_percent>0</RefWeatherLocationTreeCover_percent><!--Options: 0-100; Tree canopy cover; percent-->
    <RefWeatherLocationImperviousCover_percent>25</RefWeatherLocationImperviousCover_percent><!--Options: 0-100; Impervious cover; percent-->
    <RefWeatherLocationAnthropogenicHeatMax_Wpm2>10</RefWeatherLocationAnthropogenicHeatMax_Wpm2><!--Options: >=0; Anthropogenic heat max; W/m2-->
    <PrintTimeBasedResults>Tair_K</PrintTimeBasedResults><!-- Options: empty, Tair_K or All; map outputs-->
    <TimeBasedOutputPeriod0>2003081106,2003081106</TimeBasedOutputPeriod0><!--Options: empty, All, or 2 YYYMMMDDHH as csv; cell time series period-->
    <TimeBasedOutputPeriod1>2003081112,2003081112</TimeBasedOutputPeriod1><!--Options: empty, All, or 2 YYYMMMDDHH as csv; cell time series period-->
    <TimeBasedOutputPeriod2>2003081115,2003081115</TimeBasedOutputPeriod2><!--Options: empty, All, or 2 YYYMMMDDHH as csv; cell time series period-->
    <TimeBasedOutputPeriod3>2003081120,2003081120</TimeBasedOutputPeriod3><!--Options: empty, All, or 2 YYYMMMDDHH as csv; cell time series period-->
	<RowColOutputPeriod>All</RowColOutputPeriod><!-- Options: empty, All, or 2 YYYMMMDDHH as csv; cell time series period-->
	<PrintBlockGroupDailyAndHourly>True</PrintBlockGroupDailyAndHourly><!-- Options: True or False=Daily; if blockgroup output-->
	<PrintBlockGroupRange0>1,200</PrintBlockGroupRange0><!-- Options: All or Block Group ID pair as csv; Defines IDs for time series output-->
    <AH4GUC_HourlyValue_to_MaxValue_frac>0.783,0.609,0.534,0.385,0.320,0.269,0.205,0.196,0.163,0.193,0.222,0.304,0.436,0.516,0.714,0.925,0.960,0.963,0.957,0.969,0.994,1.000,0.994,0.957</AH4GUC_HourlyValue_to_MaxValue_frac><!-- Options: If Flag_CoolAir_AnthropogenicHeat=1 then 24 csv as hour_v to max_v; fraction-->
 </TemperatureExecutionParams>
</HydroPlusConfig>